=== isdnlog/isdnlog/kernel_2_0/Makefile ===
# Makefile for iiocnetgpn.c
# look at /usr/src/linux/Makefile for your kernel compiler
#
iiocnetgpn.o: iiocnetgpn.c
	cc -c -V2.7.2.3 -O2 -Wall -g -I/usr/src/linux/include iiocnetgpn.c

clean:
	rm *.o *~
