=== debian/changelog ===
isdnutils (1:3.25+dfsg1-9ubuntu3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:16:10 +0000

isdnutils (1:3.25+dfsg1-9ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest ppp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Feb 2018 21:54:09 -0500

isdnutils (1:3.25+dfsg1-9ubuntu1) artful; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - debian/capiutils.maintscript:
      + Handle migrating the blacklist file from
        /etc/modprobe.d/blacklist-capiutils.conf to the path used
        in Debian, /etc/modprobe.d/capiutils.conf.
    - debian/event.d-ttyI0, debian/event.d-ttyI1,
      debian/isdnutils-base.examples, debian/isdnvboxserver.examples:
      + Add examples scripts, which need to be installed in /etc/*.
      + The two upstart scripts need to be edited.
      + Further improvements and documentation welcome.
    - debian/ipppd.maintscript:
      + Handle rename of /etc/ppp/ip-down.d/99-ipppd and
        /etc/ppp/ip-up.d/00-ipppd to /etc/ppp/ip-down.d/ipppd
        and /etc/ppp/ip-up.d/ipppd.
    - debian/isdnutils-base.cron.d:
      + Drop, it isn't a cronjob example at all
        but an inittab example gone astray.
    - debian/isdnvboxserver.postinst:
      + Remove dependencies on /etc/inittab.
      + Disable the installation code to modify /etc/inittab.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 28 Sep 2017 16:41:27 -0500

isdnutils (1:3.25+dfsg1-9) unstable; urgency=high

  * Fix data loss in capifaxrecvd upon concurrent receive.
    Closes: #586932
  * Fix makedest when running with Perl's unsafe include disabled.
    Closes: #871723
  * Use install -D when installing files. Closes: #876688

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 26 Sep 2017 00:01:40 +0200

isdnutils (1:3.25+dfsg1-8ubuntu1) artful; urgency=medium

  * Merge from Debian Sid (LP: #1707146). Remaining changes:
    - debian/capiutils.maintscript:
      + Handle migrating the blacklist file from
        /etc/modprobe.d/blacklist-capiutils.conf to the path used
        in Debian, /etc/modprobe.d/capiutils.conf.
    - debian/event.d-ttyI0, debian/event.d-ttyI1,
      debian/isdnutils-base.examples, debian/isdnvboxserver.examples:
      + Add examples scripts, which need to be installed in /etc/*.
      + The two upstart scripts need to be edited.
      + Further improvements and documentation welcome.
    - debian/ipppd.maintscript:
      + Handle rename of /etc/ppp/ip-down.d/99-ipppd and
        /etc/ppp/ip-up.d/00-ipppd to /etc/ppp/ip-down.d/ipppd
        and /etc/ppp/ip-up.d/ipppd.
    - debian/isdnutils-base.cron.d:
      + Drop, it isn't a cronjob example at all
        but an inittab example gone astray.
    - debian/isdnvboxserver.postinst:
      + Remove dependencies on /etc/inittab.
      + Disable the installation code to modify /etc/inittab.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Jul 2017 03:29:22 -0500

isdnutils (1:3.25+dfsg1-8) unstable; urgency=medium

  * Adopt package. Closes: #661110
  * Packaging cleanup
  * mkzonedb: Check for mandatory parameters. Closes: #716098
  * xmonisdn: Avoid stack underflow. Closes: #749898
  * Mark cities in Canada as Canadian. Closes: #626188
  * isdnutils-base: Exit zero from reload if an unsupported service
    was provided

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 22 Jan 2017 21:33:59 +0100

isdnutils (1:3.25+dfsg1-7) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #661110)
  * Merge changes from experimental.  (Closes: #777088)
  * Merge from Ubuntu:
    - debian/capi.conf:
      + Fix typo for fcdsl2 firmware.
    - debian/control:
      + Switch Build-Depends libreadline-dev to libreadline-gplv2-dev
        since this package appears to be GPLv2.
    - debian/patches/capifax*.patch:
      + Apply patches that were preserved in the 3.0 (quilt)
        migration, but were inadvertently not applied.
    - debian/patches/no-imake.patch:
      + Don't build xisdnload/xmonisdn using xmkmf/imake. This patch
        was dropped in Debian without explanation. It still applies
        and seems to still be a good idea for eventual upstreaming,
        since imake is quite obsolete.
  * Do not ship duplicate files.
  * fix-typos.patch: New, fix typos found by Lintian.
  * format-security.patch: New, fix problems found by -Werror=format-security.
  * hardening.patch: New, ensure all compiler and linker flags are used.
  * Enable hardened build flags.  (Closes: #674452)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Sep 2016 15:42:19 +0200

isdnutils (1:3.25+dfsg1-6) experimental; urgency=low

  * backport upstream commit 5693e612 and 630b98e. Closes: #696830
    Many thanks to Hilko Bengen for providing the patches

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 06 Jan 2013 01:00:01 +0100

isdnutils (1:3.25+dfsg1-5) experimental; urgency=low

  [ Rolf Leggewie ]
  * debian/control: let libcapi20-dev conflict with older version of
    isdnutils-base. Closes: #671297

  [ Christoph Biedl ]
  * isdnlog: make sure postinst works as expected on package upgrades.
    Closes: #696532
  * unbreak debian/{ipppd,isdnlog}.config once more. Closes: #696660

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 25 Dec 2012 23:42:42 +0100

isdnutils (1:3.25+dfsg1-4) experimental; urgency=low

  * debian/patches: backport upstream commit 02e6f83. Closes: #689421
    delete duplicate definition of get_byte from rcapid

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 19 Nov 2012 23:21:57 +0100

isdnutils (1:3.25+dfsg1-3.7ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/capi.conf:
      + Fix typo for fcdsl2 firmware.
    - debian/capiutils.maintscript:
      + Handle migrating the blacklist file from
        /etc/modprobe.d/blacklist-capiutils.conf to the path used

