=== debian/control ===
Source: isdnutils
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://www.isdn4linux.de
Standards-Version: 3.9.3
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/isdnutils.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/isdnutils.git
Build-Depends: debhelper (>= 10~),
    autoconf,
    automake,
    autotools-dev,
    bzip2,
    groff,
    libcapi20-dev,
    libncurses5-dev | libncurses-dev,
    libpcap0.8-dev,
    libreadline-gplv2-dev,
    libssl-dev,
    libtool,
    libxaw7-dev,
    linuxdoc-tools,
    po-debconf,
    ppp-dev (>= 2.4.7-1+~),
    psutils,
    tcl8.6-dev,
Priority: extra
Section: utils

Package: isdnutils-base
Architecture: linux-any
Pre-Depends:
    debconf,
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
    lsb-base,
    makedev,
Suggests:
    ipppd,
    isdnlog,
    isdnutils-doc,
    isdnutils-xtools,
    isdnvboxclient,
    isdnvboxserver,
Priority: optional
Description: ISDN utilities - minimal set
 This package provides the basic set of ISDN utilities needed to make use
 of an ISDN card.

Package: isdnutils-xtools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    isdnutils-base (= ${binary:Version}),
Section: x11
Description: ISDN utilities - graphical tools
 This package provides xmonisdn and xisdnload, which are graphical tools
 for ISDN. Each in its own way gives a visual indication of the status of
 the ISDN lines, so that (for example) it is obvious when there is a
 connection.
 .
 They have been split out into a separate package to allow the others
 in the suite to avoid dependencies on the X Window System.

Package: ipppd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    debconf,
    isdnutils-base (= ${binary:Version}),
    ppp,
    ucf,
Suggests:
    pdnsd,
Section: net
Description: ISDN utilities - PPP daemon
 This package provides the specially modified version of the Point to
 Point Protocol daemon needed to connect to the Internet through an
 internal ISDN card. It also supports dial-in connections from Windows
 clients.

Package: isdnlog
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    debconf,
    isdnlog-data (>= ${source:Version}),
    isdnutils-base (= ${binary:Version}),
    ucf,
Description: ISDN utilities - connection logger
 This package provides a set of utilities that can log ISDN connections and
 calculate the cost of calls. If sufficient data is available, it can even
 recommend which alternate carrier would have been cheaper for a given call.
 For countries where calls are charged per discrete unit, it can disconnect
 the line just before the next unit starts.

Package: isdnlog-data
Architecture: all
Depends: ${misc:Depends},
Recommends:
    isdnlog (>= ${source:Version}),
Suggests:
    isdnutils-doc,
Multi-Arch: foreign
Description: ISDN utilities - connection logger data
 This package provides data related to call pricing, area codes, etcetera,
 in various countries, and is only useful with isdnlog.

Package: isdnutils-doc
Architecture: all
Depends: ${misc:Depends},
Suggests:
    isdnutils-base (= ${source:Version}),
Section: doc
Description: ISDN utilities - documentation
 This package includes the FAQ and other miscellaneous documentation
 for the ISDN utilities suite, in English and German.

Package: isdnvbox
Architecture: linux-any
Depends: ${misc:Depends},
    isdnvboxclient,
    isdnvboxserver,
Recommends:
    sox,
Description: ISDN utilities - answering machine dependency package
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package depends for convenience on both the vbox server (with which
 the messages are recorded) and the client (with which you listen to them).

Package: isdnvboxclient
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    sox | nas-bin | alsa-utils,
Suggests:
    isdnutils-doc,
    isdnvboxserver,
Description: ISDN utilities - answering machine client
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox client, with which you can listen to the
 messages recorded by a vbox server (either running on the same machine or
 accessible over the network).

Package: isdnvboxserver
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    debconf,
    isdnutils-base (= ${binary:Version}),
    openbsd-inetd | inet-superserver,
Suggests:
    isdnvboxclient,
Description: ISDN utilities - answering machine server
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox server, which must be installed on the
 system with the ISDN card. To actually listen to the recorded messages
 you need the client package (isdnvboxclient) somewhere, not necessarily on
 the same system.

Package: capiutils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    lsb-base,
    makedev,
Section: net
Description: ISDN utilities - tools for CAPI-capable cards
 Some ISDN cards (notably the AVM active cards, and the AVM passive cards
 when using the proprietary drivers) are accessed via the CAPI interface.
 The package contains utilities to initialize and get information about
 these cards.

Package: pppdcapiplugin
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: net
Description: ISDN utilities - pppd plug-in for CAPI support
 Some ISDN cards can be used by CAPI utilities - for instance the AVM
 passive cards. This package provides a plug-in for the regular PPP
 daemon to drive such cards via CAPI.

# Package: isdneurofile
# Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc s390 sh4 sparc64
# Section: comm
# Depends: isdnutils-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ISDN utilities - EUROFILE support
#  This package provides tools for sending/receiving files over an ISDN
#  connection via the EUROFILE protocol, which is not used much outside of
#  Germany (or even inside it).
