## isdnutils 3.25+dfsg1-3.3+6.0trisquel2

=== debian/changelog ===
isdnutils (1:3.25+dfsg1-3.3+6.0trisquel2) toutatis; urgency=low

  * Imported from Debian to get rid of non-free bits

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 03 Mar 2014 20:40:51 +0100
